.\" $FreeBSD: src/usr.bin/lsvfs/lsvfs.1,v 1.3.2.1 1999/09/05 11:32:40 peter Exp $
.\" Garrett A. Wollman, September 1994
.\" This file is in the public domain.
.\"
.Dd March 16, 1995
.Dt LSVFS 1
.Os
.Sh NAME
.Nm lsvfs
.Nd list installed virtual file systems
.Sh SYNOPSIS
.Nm lsvfs
.Op Ar vfsname Ar ...
.Sh DESCRIPTION
The
.Nm lsvfs
command lists information about the currently loaded virtual filesystem
modules.  When
.Ar vfsname
arguments are given,
.Nm lsvfs
lists information about the specified VFS modules.  Otherwise,
.Nm lsvfs
lists all currently loaded modules.
The information is as follows:
.Pp
.Bl -tag -compact -width Filesystem
.It Filesystem
the name of the filesystem, as would be used in the
.Fl t
option to
.Xr mount 8
.It Index
the kernel filesystem switch slot number for this filesystem, as would be
used in the
.Ar type
parameter to
.Xr mount 2
.It Refs
the number of references to this VFS; i.e., the number of currently
mounted filesystems of this type
.It Flags
flag bits (only
.Dq static
is currently defined).
.El
.Sh SEE ALSO
.Xr mount 2 ,
.Xr mount 8
.Sh HISTORY
A
.Nm
command appeared in
.Tn FreeBSD
2.0.
